QGIS Application - Bug report #16426
Rule-based renderers do not seem to implement symbolLayers() and causes crash
2017-04-07 12:11 PM - Georg Wicke

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.7 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 24335
Description

Steps to reproduce:
1. Open a vector layer in QGIS
2. Type the following into the python console:

iface.activelLayer().rendererV2().legendSymbolltemsV2()[0].symbol().symbolLayers()

Result: Crashes with "pure virtual function call".

Expected result: Obviously, no crash :-)

The same happens with "symbolLayer(int layer)" etc.

History

#1 - 2017-04-30 11:57 AM - Giovanni Manghi

- Subject changed from Rule-based renderers do not seem to implement symbolLayers() to Rule-based renderers do not seem to implement
symbolLayers() and causes crash

- OS version deleted (10)

- Operating System deleted (Windows)

- Target version set to Version 2.18

- Priority changed from Normal to High

- Category set to Symbology

- Description updated

- Affected QGIS version changed from 2.18.3 to 2.18.7

#2 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2017-11-24 10:25 AM - Alessandro Pasotti

Cannot reproduce in master

#4 - 2017-11-24 11:00 AM - Georg Wicke

Okay. Will try as soon as QGIS3 is published and | have it installed. Need to migrate first.
#5 - 2017-11-24 01:43 PM - Giovanni Manghi
- Status changed from Open to Feedback

#6 - 2018-05-16 06:15 PM - Alexander Bruy
- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
